############################################################################
###    (C)opyright 2003 - 2008 RIPE NCC
###    This file is part of DNSMon
###
###    DNSMon is free software: you can redistribute it and/or modify
###    it under the terms of the GNU General Public License as published by
###    the Free Software Foundation, either version 3 of the License, or
###    (at your option) any later version.
###
###    DNSMon is distributed in the hope that it will be useful,
###    but WITHOUT ANY WARRANTY; without even the implied warranty of
###    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
###    GNU General Public License for more details.
###
###    You should have received a copy of the GNU General Public License
###    along with DNSMon.  If not, see <http://www.gnu.org/licenses/>.
############################################################################
use strict;
use warnings;
use lib 'lib';
# note that you need these in the parent directory.
use lib '../perl-ripekey/lib';
use lib '../perl-security/lib';

use Config;
use File::Spec;
use RIPE::DNSMon::TestMB;

my $install_base = '/usr/local/ncc';

my $build = RIPE::DNSMon::TestMB->new ( 
    dist_name => 'perl-dnsmon',
    dist_version => '2.5',
    installdirs => 'vendor',
    script_files => [
        'bin/dnsmon-hourly-cronjob.pl',
		'bin/dnsmon-webalizer.sh',
        # these ones below seem pretty hacky, include them anyhow
        # they seemed to be aimed at cleanup. 
        'bin/dnsmon-util-conv.pl',
        'bin/dnsmon-util-lock.pl',
        'bin/dnsmon-util-test-clean-png.pl',
        'bin/dnsmon-util-test.pl',
    ],
    requires => { 
        'perl'           => '5.8.0',
		'RIPE::Security' => 0.01,
		'Apache2::Const' => 2.000003,
		'Apache2::Cookie' => 2.08,
		'Apache2::Request' => 2.08,
		'Cache::Cache' => 1.05,
		'AppConfig' => 1.64,
		'Date::Simple' => 3.02,
		'Error' => 0.17008,
		'File::Basename' => 2.74,
		'File::Find' => 1.10,
		'File::Path' => 1.08,
		'File::stat' => 1.00,
		'Getopt::Std' => 1.05,
		'HTML::Mason::ApacheHandler' => 1.69,
		'HTML::FillInForm' => 1.06,
		'HTTP::Date' => 1.46,
		'lib' => 0.5565,
		'LockFile::Simple' => 0.205,
		'Log::Log4perl' => 1.04,
		'POSIX' => 1.09,
		'RRDs' => 1.000501,
		'Socket' => 1.78,
		'Socket6' => 0.19,
		'Time::HiRes' => 1.86,
		'Time::localtime' => 1.02,
		'Time::Piece' => 1.11,
		'XML::Simple' => 2.16,
		'XML::SAX' => 0.15,
		'DBD::mysql' => 2.9004,
		'DBD::SQLite' => 1.13,
    },
    mysql_test_args => {
        load_from => 'test-data.mysql',
    },
    dnsmon_test_args => {
        rrddir => "/spool/$ENV{USER}/tmp2/dnsmon/data/rrd",
        datadir => "/spool/$ENV{USER}/tmp2/dnsmon/data/raw",
        #datadir => "/home/{$ENV{USER}/dnsmon-ng/data/raw",
        #datadir_days_to_download => 3,
        #datadir_days_to_download => 2,
        #datadir_test_boxes => \@datadir_test_boxes, #[qw/tt22 tt23 tt25/],
    },
);

my $paths = $build->install_path();
$paths->{etc} = File::Spec->catdir( $install_base, "etc" );
$build->add_build_element( "etc" );

$build->create_build_script;
