#!/bin/sh
# $Id: dnsmon-webalizer.sh,v 1.1.4.1 2008/04/13 15:49:47 ruben Exp $
############################################################################
###    (C)opyright 2003 - 2008 RIPE NCC
###    This file is part of DNSMon
###
###    DNSMon is free software: you can redistribute it and/or modify
###    it under the terms of the GNU General Public License as published by
###    the Free Software Foundation, either version 3 of the License, or
###    (at your option) any later version.
###
###    DNSMon is distributed in the hope that it will be useful,
###    but WITHOUT ANY WARRANTY; without even the implied warranty of
###    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
###    GNU General Public License for more details.
###
###    You should have received a copy of the GNU General Public License
###    along with DNSMon.  If not, see <http://www.gnu.org/licenses/>.
############################################################################

# DNSMON access usage stats thing
# RVS
LOGBASE=/export/dnsmon/log/
export PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin

if [ -f ${HOME}/usage/webalizer.current ]; then
	echo "DNS"
	( cat ${LOGBASE}/httpd/access_log.2 ${LOGBASE}/httpd/access_log.1 ${LOGBASE}/httpd/access_log ) | webalizer -s internal.example.net -s 192.168.1.1 -T -D $PWD/dnsmon-www-cache -N 10 -n dnsmon.ripe.net -o ${HOME}/usage -
	echo "STATS"
	( cat ${LOGBASE}/httpd/access_log.2 ${LOGBASE}/httpd/access_log.1 ${LOGBASE}/httpd/access_log ) | webalizer -s internal.example.net -s 192.168.1.1 -T -D $PWD/dnsmon-www-cache -N 0 -n dnsmon.ripe.net -p -o ${HOME}/usage -
	( cat ${LOGBASE}/httpd/access_log.2 ${LOGBASE}/httpd/access_log.1 ${LOGBASE}/httpd/access_log ) | grep '/dns-servmon/domain/plot' | sed -e 's/[=\?&]/+/g' -e 's/+SHOW//g' | webalizer -s internal.example.net -s 192.168.1.1 -T -D $PWD/dnsmon-www-cache -N 0 -n dnsmon.ripe.net -p -o ${HOME}/usage/domain -
	( cat ${LOGBASE}/httpd/access_log.2 ${LOGBASE}/httpd/access_log.1 ${LOGBASE}/httpd/access_log ) | grep '/dns-servmon/server/plot' | sed -e 's/[=\?&]/+/g' -e 's/+SHOW//g' | webalizer -s internal.example.net -s 192.168.1.1 -T -D $PWD/dnsmon-www-cache -N 0 -n dnsmon.ripe.net -p -o ${HOME}/usage/server -
else
	echo "No incremental data found, going for the long run"
	echo "DNS"
	( bzcat ${LOGBASE}/httpd/*/*/access_log.*.bz2 ; cat ${LOGBASE}/httpd/access_log.2 ${LOGBASE}/httpd/access_log.1 ${LOGBASE}/httpd/access_log ) | webalizer -s internal.example.net -s 192.168.1.1 -T -D $PWD/dnsmon-www-cache -N 10 -n dnsmon.ripe.net -o ${HOME}/usage -
	echo "STATS"
	( bzcat ${LOGBASE}/httpd/*/*/access_log.*.bz2 ; cat ${LOGBASE}/httpd/access_log.2 ${LOGBASE}/httpd/access_log.1 ${LOGBASE}/httpd/access_log ) | webalizer -s internal.example.net -s 192.168.1.1 -T -D $PWD/dnsmon-www-cache -N 0 -n dnsmon.ripe.net -p -o ${HOME}/usage -
	( bzcat ${LOGBASE}/httpd/*/*/access_log.*.bz2 ; cat ${LOGBASE}/httpd/access_log.2 ${LOGBASE}/httpd/access_log.1 ${LOGBASE}/httpd/access_log ) | grep '/dns-servmon/domain/plot' | sed -e 's/[=\?&]/+/g' -e 's/+SHOW//g' | webalizer -s internal.example.net -s 192.168.1.1 -T -D $PWD/dnsmon-www-cache -N 0 -n dnsmon.ripe.net -p -o ${HOME}/usage/domain -
	( bzcat ${LOGBASE}/httpd/*/*/access_log.*.bz2 ; cat ${LOGBASE}/httpd/access_log.2 ${LOGBASE}/httpd/access_log.1 ${LOGBASE}/httpd/access_log ) | grep '/dns-servmon/server/plot' | sed -e 's/[=\?&]/+/g' -e 's/+SHOW//g' | webalizer -s internal.example.net -s 192.168.1.1 -T -D $PWD/dnsmon-www-cache -N 0 -n dnsmon.ripe.net -p -o ${HOME}/usage/server -
fi
