/*
 *   (C)opyright 2003 - 2008 RIPE NCC
 *   This file is part of DNSMon
 *
 *   DNSMon is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   DNSMon is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with DNSMon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <sys/types.h>
#include <sys/time.h>

#include <netinet/in.h>
#include <arpa/nameser.h>

#if 1 
#define UDP_SRC_PORT 15282 /* 15 Feb 1982 */ 
#else
#define UDP_SRC_PORT 20606 /* 02 June 2006 - DEBUGGING MODE */
#endif

#ifdef __KAME__
#define IPV6_SUPPORT
#include "if_utils.h"
extern int candov6;
#endif

#ifdef __FreeBSD__
#include <libutil.h>
#endif


#define LIST_SIZE 16 * 1024

struct server {
    int active;
    char label[50];
    char address[50];
    int query_type;
    char qry[50];
    u_int32_t server_ip;
    int size;
    int frequency;
    int attempts;
    int timeout;
    struct timeval delay;
    char result[50];
    char domain[50];
    long time;
};

struct globaltime {
    long start;          /* Start time of measurements */
    time_t period;         /* Period length (seconds) */
    time_t read;           /* Time when configfile was last read */
};

/* query types, internal value */
#define QT_HOSTNAME_BIND 1
#define QT_ID_SERVER 2
#define QT_VERSION_BIND 3
#define QT_VERSION_SERVER 4
#define QT_SOA 5


#define PIPE_READ_END 0
#define PIPE_WRITE_END 1

#define max(X,Y) ((X)>(Y)?(X):(Y))

#ifdef DEBUG
#define CONFIG_DEBUG
#define DNS_DEBUG
#define GRIMREAPER_DEBUG
#define INTERFACE_DEBUG
#define POISSON_DEBUG
#define PROCESS_DEBUG
#define RECEIVING_DEBUG
#define SCHEDULER_DEBUG
#define SCHEDULER_DEBUG    
#define SENDING_DEBUG
#define SOCKET_DEBUG
#endif
